Bug 707873 - corosync - Provide better checking of the message type
Summary: corosync - Provide better checking of the message type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-26 08:35 UTC by Jan Friesse
Modified: 2011-12-06 11:50 UTC (History)
4 users (show)

Fixed In Version: corosync-1.4.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause A negative value for the message type (on systems where char is signed). his is highly probable if the cluster is, for example, misconfigured to have encryption enabled on some nodes but not others. Consequence Corosync crash Fix Strong check of message type Result Improper message is ignored.
Clone Of:
Environment:
Last Closed: 2011-12-06 11:50:43 UTC


Attachments (Terms of Use)
Provide better checking of the message type (1.46 KB, patch)
2011-05-26 08:35 UTC, Jan Friesse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1515 normal SHIPPED_LIVE corosync bug fix and enhancement update 2011-12-06 00:38:47 UTC

Description Jan Friesse 2011-05-26 08:35:37 UTC
Created attachment 501019 [details]
Provide better checking of the message type

Description of problem:

A negative value for the message type (on systems where char is signed)
would cause a crash. This is highly probable if the cluster is, for example,
misconfigured to have encryption enabled on some nodes but not others.


Expected results:
No crash

Comment 1 Jan Friesse 2011-05-26 08:36:09 UTC
In GIT as 7e368581e9e152b5bfc43385645118f183df5d0a

Comment 9 Jan Friesse 2011-10-31 09:29:35 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
A negative value for the message type (on systems where char is signed). his is highly probable if the cluster is, for example, misconfigured to have encryption enabled on some nodes but not others.

Consequence
Corosync crash

Fix
Strong check of message type

Result
Improper message is ignored.

Comment 10 errata-xmlrpc 2011-12-06 11:50:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1515.html


Note You need to log in before you can comment on or make changes to this bug.